/******************************************************************************
 *
 * Copyright (c) 1999-2003 AppGate Network Security AB. All Rights Reserved.
 * 
 * This file contains Original Code and/or Modifications of Original Code as
 * defined in and that are subject to the MindTerm Public Source License,
 * Version 2.0, (the 'License'). You may not use this file except in compliance
 * with the License.
 * 
 * You should have received a copy of the MindTerm Public Source License
 * along with this software; see the file LICENSE.  If not, write to
 * AppGate Network Security AB, Otterhallegatan 2, SE-41118 Goteborg, SWEDEN
 *
 *****************************************************************************/

package com.mindbright.examples;

import java.io.FileInputStream;

import java.util.Enumeration;

import com.mindbright.jca.security.KeyStore;
import com.mindbright.jca.security.PublicKey;
import com.mindbright.jca.security.cert.Certificate;

/**
 * List all keys found in a PKCS#12 file.
 */
public class TestPKCS12KeyStore {

    public static void main(String[] argv) {
	try {
	    KeyStore p12 = KeyStore.getInstance("PKCS12");

	    if(argv.length != 2) {
		System.out.println("usage: TestPKCS12KeyStore <dirname> <password>");
		System.exit(1);
	    }
	    String fileName = argv[0];
	    String password = argv[1];

	    p12.load(new FileInputStream(fileName), password.toCharArray());

	    Enumeration e = p12.aliases();
	    while(e.hasMoreElements()) {
		String alias = (String)e.nextElement();
		System.out.println(alias + " (" +
				   (p12.isKeyEntry(alias) ? "cert" :
				    "trusted cert")
				   + ")");
		Certificate cert = p12.getCertificate(alias);
		PublicKey   pk   = cert.getPublicKey();
	    }

	} catch (Exception e) {
	    e.printStackTrace();
	    System.out.println("Error: " + e);
	}
    }

}
