/******************************************************************************
 *
 * Copyright (c) 1999-2003 AppGate Network Security AB. All Rights Reserved.
 * 
 * This file contains Original Code and/or Modifications of Original Code as
 * defined in and that are subject to the MindTerm Public Source License,
 * Version 2.0, (the 'License'). You may not use this file except in compliance
 * with the License.
 * 
 * You should have received a copy of the MindTerm Public Source License
 * along with this software; see the file LICENSE.  If not, write to
 * AppGate Network Security AB, Otterhallegatan 2, SE-41118 Goteborg, SWEDEN
 *
 *****************************************************************************/

package com.mindbright.terminal;

import java.awt.Frame;

public class TerminalFrameTitle extends TerminalInputAdapter {

    private TerminalWin terminal;
    private Frame       frame;
    private String      titleName;

    public TerminalFrameTitle(Frame frame, String titleName)
    {
	this.frame     = frame;
	this.titleName = titleName;
    }

    public void attach(TerminalWin terminal) {
	this.terminal = terminal;
	setTitleName(titleName);
	terminal.addInputListener(this);
    }

    public void detach() {
	terminal.removeInputListener(this);
	terminal = null;
    }

    public void setTitleName(String titleName) {
	this.titleName = titleName;
	if(terminal != null) {
	    signalWindowChanged(terminal.rows(), terminal.cols(),
				terminal.vpixels(), terminal.hpixels());
	}
    }

    public void signalWindowChanged(int rows, int cols,
				    int vpixels, int hpixels) {
	String title = terminal.getTitle();
	if(title == null) {
	    title = titleName;
	}
	title += " [" + cols + "x" + rows + "]";
	frame.setTitle(title);
    }

}
