/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Created on Jun 23, 2005 at 9:36:35 PM.
 */
package uk.ac.standrews.cs.nds.eventModel;

import java.util.HashMap;

/**
 * Generic event implementation.
 *
 * @author graham
 */

public class Event extends HashMap<String, Object> implements IEvent {

	private String type = "";

	/**
	 * Creates an event with a given type.x
	 *
	 * @param type the event type
	 */
	public Event(String type) {
		this.type = type;
	}

	public String getType() {
		return type;
	}

	@Override
	public String toString() {

		return type + ": " + super.toString();
	}

	@Override
	public boolean equals(Object obj) {

		return obj instanceof Event && ((Event)obj).type.equals(type) && super.equals(obj);
	}
}
