package uk.ac.standrews.cs.nds.eventModel;

/**
 * Extends event to store a event-creation-time-stamp
 *
 * @author markus
 */
public class TimeStampedEvent extends Event implements ITimeStampedEvent {

	private static final long serialVersionUID = 1L;

	private final long creationTime;

	/**
	 * Creates a new time stamped event.
	 * 
	 * @param type the type of the event
	 */
	public TimeStampedEvent(final String type) {

		super(type);
		creationTime = System.currentTimeMillis();
	}

	public long getEventCreationTime() {

		return creationTime;
	}
}
