/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 01-Nov-2004
 */
package uk.ac.standrews.cs.nds.eventModel.eventBus.busInterfaces;

import uk.ac.standrews.cs.nds.eventModel.IEvent;

/**
 * Interface implemented by subscribers to an event bus.
 *
 * @author stuart, graham
 */
public interface IEventConsumer {

	/**
	 * Tests whether consumer wishes to receive a given event.
	 *
	 * @param event the event
	 * @return true if the consumer wishes to receive the event
	 */
	boolean interested(IEvent event);

	/**
	 * Processes a given event.
	 *
	 * @param event the event
	 */
	void receiveEvent(IEvent event);
}
