/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 10-May-2005
 */
package uk.ac.standrews.cs.nds.p2p.exceptions;

import uk.ac.standrews.cs.nds.p2p.interfaces.IP2PApplicationComponent;

/**
 * @author stuart
 */
public class ApplicationRegistryException extends Exception {

	private final IP2PApplicationComponent ac;

	/**
	 * Creates an exception with the given application component.
	 * 
	 * @param ac a component
	 * @param message the detail message
	 */
	public ApplicationRegistryException(IP2PApplicationComponent ac, String message) {

		super(message);
		this.ac=ac;
	}

	/**
	 * @return the application component.
	 */
	public IP2PApplicationComponent getAc() {
		return ac;
	}
}
