/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 08-Jun-2005
 */
package uk.ac.standrews.cs.nds.p2p.exceptions;

import uk.ac.standrews.cs.nds.p2p.impl.P2PStatus;

/**
 * @author stuart
 */
public class P2PNodeException extends Exception {

	private final P2PStatus status;

	/**
	 * @param status
	 */
	public P2PNodeException(P2PStatus status){
		super();
		this.status=status;
	}

	/**
	 * @param status
	 * @param msg
	 */
	public P2PNodeException(P2PStatus status, String msg){
		super(msg);
		this.status=status;
	}

	@Override
	public String getLocalizedMessage(){
		String msg = status.getStatusMsg();
		if(super.getLocalizedMessage()!=null) {
			msg+="\n\t"+super.getLocalizedMessage();
		}
		return msg;
	}

	/**
	 * @return the status.
	 */
	public P2PStatus getStatus() {
		return status;
	}
}
