/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on Jan 1, 2005 at 5:10:36 PM.
 */
package uk.ac.standrews.cs.nds.p2p.exceptions;

import uk.ac.standrews.cs.nds.util.ErrorHandling;

/**
 * @author graham
 */
public class SimulatedFailureException extends RuntimeException {

	/**
	 * 
	 */
	public SimulatedFailureException() {
		super();
	}

	/**
	 * @param arg0
	 */
	public SimulatedFailureException(String arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 * @param arg1
	 */
	public SimulatedFailureException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	/**
	 * @param arg0
	 */
	public SimulatedFailureException(Throwable arg0) {
		super(arg0);
	}

	/**
	 * If the specified exception is not a SimulatedFailureException then produce a hard error.
	 * 
	 * @param e
	 * @param message
	 */
	public static void filterSimulatedFailureError(Exception e, String message) {
		if (!(e instanceof SimulatedFailureException)) {
			ErrorHandling.hardExceptionError(e, message);
		}
	}
}
