/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.ac.standrews.cs.nds.p2p.impl;

import uk.ac.standrews.cs.nds.p2p.interfaces.IP2PNode;

/**
 * @author stuart
 */
public class DOLResult {

	// TODO Add generic code to type the remote_node field more appropriately

	/* For the ChordRRTApplicationFrameworkImpl this field contains a pointer to a IChordRemote<-IP2PNode */
	private IP2PNode remote_node;

	private boolean is_root;
	private Object application_component;

	/**
	 * This is needed for RRT deserialization when sent by value, since the public constructors all fail when passed null.
	 */
	protected DOLResult() {

		// Do nothing.
	}

	/**
	 * @param application_component
	 * @param remote_node
	 * @param is_root
	 */
	public DOLResult(Object application_component, IP2PNode remote_node, boolean is_root) {

		this.application_component = application_component;
		this.remote_node = remote_node;
		this.is_root = is_root;
	}

	/**
	 * @return the application component
	 */
	public Object getApplicationComponent() {
		return application_component;
	}

	/**
	 * @return the remote node
	 */
	public IP2PNode getRemoteNode() {
		return remote_node;
	}

	/**
	 * @return true if the result is the root
	 */
	public boolean isRoot() {
		return is_root;
	}
}
