/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 10-Jan-2005
 */
package uk.ac.standrews.cs.nds.p2p.interfaces;

import java.net.InetAddress;

/**
 * @author stuart
 */
public interface IDistanceCalculator {
    
	/**
	 * Calculates the distance between two nodes.
	 * 
	 * @param address1 the IP address for the first node which we are calculating distance between
	 * @param address2  the IP address for the second node which we are calculating distance between
	 * @return the normalised (wrt number of nodes) distance between the two nodes in real space
	 * or a negative value if the distance between the two specified node cannot be calculated.
	 */
	public double distance(InetAddress address1, InetAddress address2);
}