/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 *
 */
package uk.ac.standrews.cs.nds.p2p.interfaces;

/**
 * Abstraction over cryptographic hash functions.
 *
 * @author graham
 */
public interface IHash {

	/**
	 * Generates the hash of the given data.
	 *
	 * @param data the data to be hashed
	 * @return the result of hashing the data
	 */
	byte[] hash(byte[] data);

	/**
	 * Returns the fixed length of the hash digest in bytes.
	 *
	 * @return the fixed length of the hash digest in bytes
	 */
	int getHashSize();
}
