/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 10-May-2005
 */
package uk.ac.standrews.cs.nds.p2p.interfaces;

import uk.ac.standrews.cs.nds.p2p.impl.AID;

/**
 * @author stuart
 */
public interface IP2PApplicationComponent {

    public AID getAID();

    /**
     * Called by the framework to obtain the application's
     * upcall handler when an upcall needs to be made. The framework will
     * only call this method on an ApplicationComponent with AID 'x' if
     * the routing method currently being executed has an AID parameter
     * which equals 'x'.
     *
     * @return the upcall handler
     */
    public IApplicationUpcallHandler getApplicationUpcallHandler();
}
