/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on Jan 18, 2005 at 3:45:48 PM.
 */
package uk.ac.standrews.cs.nds.p2p.simulation.interfaces;

import java.util.List;
import java.util.Random;

import uk.ac.standrews.cs.nds.p2p.interfaces.IDistanceCalculator;
import uk.ac.standrews.cs.nds.p2p.interfaces.IKey;
import uk.ac.standrews.cs.nds.p2p.interfaces.IP2PNode;
import uk.ac.standrews.cs.nds.p2p.simulation.impl.Route;

/**
 * @author al
 */
public interface IP2PSimulation<T extends IP2PNode> {

    int key2Index(IKey key);

    List<T> getNodes();

    Route<T> makeRoute(T node, IKey k);

    void showRoute(T node, IKey k, Route<T> rt);

    int getNodeCount();

    IDistanceCalculator getDistanceCalculator();

    ISpanTreeGen getSpanTreeGen();

	void initialiseP2PLinks();

	void showNode(T node);

	Random getRand();
}
