/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on Feb 1, 2005 at 1:52:57 PM.
 */
package uk.ac.standrews.cs.nds.p2p.simulation.test;

import java.net.InetAddress;

import junit.framework.TestCase;
import uk.ac.standrews.cs.nds.p2p.simulation.util.SimulatedPhysicalDistanceModel;

/**
 * Test class for SimulatedPhysicalDistanceModel.
 *
 * @author graham
 */
public class SimulatedPhysicalDistanceModelTest extends TestCase {

    public void testDistance() {
        
	    try {
            InetAddress ip1 = InetAddress.getByName("0.0.1.1");
            InetAddress ip2 = InetAddress.getByName("0.0.0.17");

            SimulatedPhysicalDistanceModel s = new SimulatedPhysicalDistanceModel(600);

            assertEquals(0.4, s.distance(ip1, ip2), 0.0);
            assertEquals(0.4, s.distance(ip2, ip1), 0.0);
        }
	    catch (Exception e) { fail(); }
    }
}
