/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.ac.standrews.cs.nds.p2p.simulation.util;

import java.util.Enumeration;

import javax.swing.tree.DefaultMutableTreeNode;

/**
 * @author mjl
 */
public class ExpectedMeetDepth {

    public static StatsStruct nd0( DefaultMutableTreeNode t ) {
        Enumeration<?> kids = t.children();
        if( t.getChildCount() == 0 ) return new StatsStruct( 1, 0 );
        int num = 1;
        double depth = 0;
        while( kids.hasMoreElements() ) {
        		StatsStruct k = nd0((DefaultMutableTreeNode) kids.nextElement());
        		num += k.size;
        		depth += k.depth;
        }

        return new StatsStruct( num, depth + num * (num -1) );
    }

	public static StatsStruct computeExpectedMeetDepth( DefaultMutableTreeNode t )
	{
		StatsStruct nd = nd0(t);
		return new StatsStruct( nd.size, nd.depth / nd.size / (nd.size - 1) - 1 );
	}
}
