/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.ac.standrews.cs.nds.p2p.testharness.impl;

import uk.ac.standrews.cs.nds.p2p.interfaces.IKey;

public class P2PNodeHandle<HandleType> {
	int nodePort;
	IKey nodeKey;
	HandleType node;

	public P2PNodeHandle(int nodePort, IKey nodeKey, HandleType node) {
		this.nodePort = nodePort;
		this.nodeKey = nodeKey;
		this.node=node;
	}

	public int getNodePort() {
		return nodePort;
	}

	public IKey getNodeKey() {
		return nodeKey;
	}	
	
	public HandleType getApplicationHandle(){
		return node;
	}
	
}
