/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on Apr 20, 2005 at 11:33:00 AM.
 */
package uk.ac.standrews.cs.nds.p2p.util;

import uk.ac.standrews.cs.nds.p2p.interfaces.IP2PNodeRepresentation;
import uk.ac.standrews.cs.nds.util.NetworkUtil;

/**
 * Provides consistent formatting of node information.
 *
 * @author al, stuart, graham
 */
public class FormatNodeInfo {

	/**
	 * Returns a description of a given node.
	 *
	 * @param node a node
	 * @return a description of the node
	 */
	public static String getNodeInfo(IP2PNodeRepresentation node) {

		return NetworkUtil.formatHostAddress(node.getAddress());
	}
}
