/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.ac.standrews.cs.nds.p2p.util;

import java.net.InetSocketAddress;

import uk.ac.standrews.cs.nds.p2p.interfaces.INetworkNodeRepresentation;
import uk.ac.standrews.cs.nds.util.NetworkUtil;

/**
 * Representation of a host with an IP address.
 *
 * @author graham
 */
public class NetworkNodeRepresentation implements INetworkNodeRepresentation {

	private final InetSocketAddress address;
	private String string_representation;

	/**
	 * @param address the address of the host
	 */
	public NetworkNodeRepresentation(InetSocketAddress address) {
		this.address = address;
	}

	/**
	 * @return the address of the host
	 */
	public InetSocketAddress getAddress() {

		return address;
	}

	@Override
	public String toString() {

		if (string_representation == null) string_representation = NetworkUtil.formatHostAddress(address);
		return string_representation;
	}
}
