/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @author Robert F. MacInnis, University of St Andrews, Scotland. (c) 2007
 */

package uk.ac.standrews.cs.nds.p2p.util;

import java.io.Serializable;

/* This implements Serializable for use with the Flex visualiser. */
public class NodeInfo implements Serializable{

		private String nodeID, lowerKey, upperKey, nodeIP, keyRangeSize, nodeLabel;

		public NodeInfo(){
			super();
		}

		public NodeInfo(String nodeID, String lowerKey, String upperKey, String nodeIP, String keyRangeSize, String nodeLabel) {
			super();
			this.nodeID = nodeID;
			this.lowerKey = lowerKey;
			this.upperKey = upperKey;
			this.nodeIP = nodeIP;
			this.keyRangeSize = keyRangeSize;
			this.nodeLabel = nodeLabel;
		}

		@Override
		public String toString(){
			return new String(nodeID+":"+lowerKey+":"+upperKey+":"+nodeIP+":"+keyRangeSize+":"+nodeLabel);
		}

		public String getKeyRangeSize() {
			return keyRangeSize;
		}

		public void setKeyRangeSize(String keyRangeSize) {
			this.keyRangeSize = keyRangeSize;
		}

		public String getLowerKey() {
			return lowerKey;
		}

		public void setLowerKey(String lowerKey) {
			this.lowerKey = lowerKey;
		}

		public String getNodeID() {
			return nodeID;
		}

		public void setNodeID(String nodeID) {
			this.nodeID = nodeID;
		}

		public String getNodeIP() {
			return nodeIP;
		}

		public void setNodeIP(String nodeIP) {
			this.nodeIP = nodeIP;
		}

		public String getNodeLabel() {
			return nodeLabel;
		}

		public void setNodeLabel(String nodeLabel) {
			this.nodeLabel = nodeLabel;
		}

		public String getUpperKey() {
			return upperKey;
		}

		public void setUpperKey(String upperKey) {
			this.upperKey = upperKey;
		}
	}

