/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on Jan 27, 2005 at 5:00:39 PM.
 */
package uk.ac.standrews.cs.nds.util;


/**
 * @author graham
 */
public class ExceptionFactory {

	public static RuntimeException makeLabelledException(final Exception e) {

		final String caller_name = Diagnostic.getMethodInCallChain(2);

		return new RuntimeException() {

			@Override
			public String getMessage() {
				return caller_name + " - " + e.getMessage();
			}

			@Override
			public StackTraceElement[] getStackTrace() {
				return e.getStackTrace();
			}

			@Override
			public void printStackTrace() {
				e.printStackTrace();
			}
		};
	}

	public static RuntimeException makeLabelledException(String message) {

		String caller_name = Diagnostic.getMethodInCallChain(2);

		return new RuntimeException(caller_name + " - " + message);
	}
}
