/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Created on Jul 1, 2005 at 1:23:11 PM.
 */
package uk.ac.standrews.cs.nds.util;

import java.io.IOException;

/**
 * Interface implemented by objects processing output stream from remote process.
 *
 * @author graham
 * @see Processes
 */
public interface IStreamProcessor {

	/**
	 * Processes a byte output by the process.
	 *
	 * @param byte_value the byte to be processed
	 * @return true if the byte should then be passed on for further processing
	 * @throws IOException
	 */
	public boolean processByte(int byte_value) throws IOException;
}
