/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Created on Jun 2, 2006 at 2:44:06 PM.
 */
package uk.ac.standrews.cs.nds.util;

public enum JavaVersion {

	VERSION_1_4, 

	VERSION_5_0,
	
	VERSION_6_0;
	
	public static JavaVersion getCurrentVersion() {
		
		String version = System.getProperty("java.version");
		
		if (version.startsWith(VERSION_NAME_1_4_PREFIX)) return VERSION_1_4;
		if (version.startsWith(VERSION_NAME_5_0_PREFIX)) return VERSION_5_0;
		if (version.startsWith(VERSION_NAME_6_0_PREFIX)) return VERSION_6_0;
		
		ErrorHandling.hardError("unknown platform");
		return null;
	}
	
	private static final String VERSION_NAME_1_4_PREFIX = "1.4";
	private static final String VERSION_NAME_5_0_PREFIX = "1.5.0";
	private static final String VERSION_NAME_6_0_PREFIX = "1.6.0";
}
