/*
 *  ASA Library
 *  Copyright (C) 2004-2008 Distributed Systems Architecture Research Group
 *  http://asa.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 *
 */
package uk.ac.standrews.cs.nds.util;

/**
 * Record containing a pair of values.
 *
 * @param <T1> the type of the first value
 * @param <T2> the type of the second value
 *
 * @author graham
 */
public class Pair<T1, T2> {

	/**
	 * The first element of the pair.
	 */
	public T1 first;

	/**
	 * The second element of the pair.
	 */
	public T2 second;

	/**
	 * @param first the first element
	 * @param second the second element
	 */
	public Pair(T1 first, T2 second) {

		this.first = first;
		this.second = second;
	}
}
