package uk.ac.standrews.cs.nds.util;

/**
 * 
 *
 * @author markus
 */
public class ParseAbility {

	/**
	 * checks if a string can be parsed into a Double
	 * 
	 * @param string string to parse
	 * @return true if the string can be converted, false if it can't.
	 */
	public static boolean isParsableToDouble(String string) {
		try {
			Double.parseDouble(string);
			return true;
		} catch (NumberFormatException nfe) {
			return false;
		}
	}
	
	
	/**
	 * checks if a string can be parsed into a Long
	 * 
	 * @param string string to parse
	 * @return true if the string can be converted, false if it can't.
	 */
	public static boolean isParsableToLong(String string) {
		try {
			Long.parseLong(string);
			return true;
		} catch (NumberFormatException nfe) {
			return false;
		}
	}
	
	
	/**
	 * checks if a string can be parsed into an Integer
	 * 
	 * @param string string to parse
	 * @return true if the string can be converted, false if it can't.
	 */
	public static boolean isParsableToInteger(String string) {
		try {
			Integer.parseInt(string);
			return true;
		} catch (NumberFormatException nfe) {
			return false;
		}
	}
	
	/**
	 * checks if a string can be parsed into a Float
	 * 
	 * @param string string to parse
	 * @return true if the string can be converted, false if it can't.
	 */
	public static boolean isParsableToFloat(String string) {
		try {
			Float.parseFloat(string);
			return true;
		} catch (NumberFormatException nfe) {
			return false;
		}
	}
}
