/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.ac.standrews.cs.nds.util;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;


/**
 * Every line written to stdout is written to specified data structure (List<String>)
 * 
 * @author markus
 * 
 */
public class StreamProcessor implements IStreamProcessor {

	private List<String> remoteOutput;
	private List<Character> data;

	/**
	 * creates the stream processor
	 * 
	 * @param remoteOutput
	 *            every line written on stdout is stored as line in here
	 */
	public StreamProcessor(List<String> remoteOutput) {
		this.remoteOutput = remoteOutput;
		data = new ArrayList<Character>();

	}

	int i = 0;

	public boolean processByte(int byte_value) throws IOException {
		// TODO Auto-generated method stub

		Character character = (char) byte_value;
		// System.out.print(character);
		data.add(character);
		i++;

		if (character == '\n') {
			char temp[] = new char[i];
			int x = 0;
			Iterator<Character> it = data.iterator();
			while (it.hasNext()) {
				temp[x] = it.next();
				x++;
			}

			remoteOutput.add(new String(temp));
			data.clear();
			temp = null;
			i = 0;
		}

		return true;
	}

}
