package uk.ac.standrews.cs.nds.util;

import java.util.concurrent.TimeoutException;

public class Timeout {

	public synchronized void performActionWithTimeout(final ActionWithNoResult action, final int timeout) throws TimeoutException {

		final Object sync = this;
		final boolean[] timed_out_flag_wrapper = new boolean[] {true};

		final Thread action_thread = new Thread() {

			@Override
			public void run() {

				try {
					action.performAction();
				}
				catch (RuntimeException e) {
					timed_out_flag_wrapper[0] = false;
					synchronized(sync) { sync.notify(); }
					throw e;
				}
				timed_out_flag_wrapper[0] = false;
				synchronized(sync) { sync.notify(); }
			}

		};
		action_thread.start();

		final Thread timeout_thread = new Thread("Timeout Thread") {

			@Override
			public void run() {

				try { Thread.sleep(timeout); } catch (InterruptedException e) { /* Ignore */ }
				synchronized(sync) { sync.notify(); }
				action_thread.interrupt();
			}

		};
		timeout_thread.start();

		try { sync.wait(); } catch (InterruptedException e) { /* Ignore */ }

		if (timed_out_flag_wrapper[0]) {
			System.out.println("throwing timeout");
			throw new TimeoutException("timed out");
		}
	}

	public static void main(String[] args) throws TimeoutException {

		ActionWithNoResult action = new ActionWithNoResult() {

			public void performAction() {

				boolean carry_on = true;
				int i = 0;

				while (carry_on) {
					System.out.println(i++);
					try {
						Thread.sleep(100);
					} catch (InterruptedException e) {
						carry_on = false;
					}
				}
			}
		};

		new Timeout().performActionWithTimeout(action, 5000);
	}
}
