/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Created on Aug 9, 2006 at 1:46:49 PM.
 */
package uk.ac.standrews.cs.nds.util.test;

import java.net.InetAddress;

import uk.ac.standrews.cs.nds.util.CVSUtil;
import uk.ac.standrews.cs.nds.util.SSH2ConnectionWrapper;

/**
 * Test for {@link CVSUtil}.
 *
 * @author graham
 */
public class CVSUtilTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		try {

			// Access details for host to which CVS files will be checked out.
			InetAddress target_host = InetAddress.getByName("cordelia.cs.st-andrews.ac.uk");

			String target_host_username = "graham";
			String target_host_password = "...";
			String target_directory_path = "/replicated_repository/graham";       // Files will be checked out to here.

			// This connects to target host using password. Can also use public key - see constructors of SSH2ConnectionWrapper.
			SSH2ConnectionWrapper target_connection = new SSH2ConnectionWrapper(target_host, target_host_username, target_host_password);

			// Access details for CVS server.
			InetAddress cvs_server = InetAddress.getByName("panda.cs.st-andrews.ac.uk");

			String cvs_username = "graham";

			// The passphrase will be used if public key has already been set up between target host and CVS host, password otherwise.
			String cvs_password = "...";
			String cvs_passphrase = "...";

			String cvs_module = "NDS";
			String cvs_root = "/user/projects/asa/private/cvsroot";

			// Enable tests as required.

			// **********

			CVSUtil.checkoutCVSModule(target_connection, cvs_server, cvs_username, cvs_password, cvs_passphrase, cvs_module, cvs_root, target_directory_path, true);

		}
		catch (Exception e) {
	        e.printStackTrace();
        }
	}
}
