/*
 *  NDS Library
 *  Copyright (C) 2006-2008 Distributed Systems Architecture Research Group
 *  http://www-systems.cs.st-andrews.ac.uk/
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
 * Created on 16-Feb-2005
 */
package uk.ac.standrews.cs.nds.util.test;

import java.io.File;

import uk.ac.standrews.cs.nds.ProjectMetaData;
import uk.ac.standrews.cs.nds.util.PlatformDescriptor;

/**
 * @author graham
 */
public class ProjectMetaDataTest {

	public static void main(String[] args) {

		ProjectMetaData metadata = ProjectMetaData.getInstance();

		System.out.println("current classpath:");
		System.out.println(metadata.classPath());

		System.out.println("classpath for local platform and root /a/b/c:");
		System.out.println(metadata.classPath(PlatformDescriptor.getPlatform(), new File("/a/b/c")));

		System.out.println("classpath for Linux and root /a/b/c:");
		System.out.println(metadata.classPath(PlatformDescriptor.PLATFORM_LINUX, new File("/a/b/c")));

		System.out.println("classpath for Linux, root /a/b/c and Java 1.6.0_02:");
		System.out.println(metadata.classPath(PlatformDescriptor.PLATFORM_LINUX, new File("/a/b/c"), "1.6.0_02"));
	}
}
